
import os
import re
import json
import sys
import time
import datetime
import hashlib
import random

def generate_unique_id(length=8):
    """Generate a unique ID based on current time and random number."""
    random_number = random.randint(0, 99999)
    current_time = datetime.datetime.now().strftime("%Y%m%d%H%M%S")
    unique_id = hashlib.md5(f"{current_time}{random_number}".encode()).hexdigest()[:length]
    return unique_id

